Subject: bug#47244: 28.0.50; SIGSEGV in long-runnning Emacs

From: Michael Welsh Duggan <[email-masked]>
Date: Wed, 31 Mar 2021 15:18:42 -0400

Michael Welsh Duggan <[email-masked]> writes:

> martin rudalics <[email-masked]> writes:
>
>>  > I have no idea what changed to cause this, but with this current
>>  > patchset I can't actually start emacs.
>>  >
>>  > #0 set_buffer_internal_2 (b=0x7ffff2a3cb10) at
>>  > ../../master/src/buffer.c:2157
>>  >          old_buf = 0x0
>>  >          tail = XIL(0x7ffff2a3cb15)
>>
>> I doubt that my last additions can have cause that and line 2157 is
>>
>>    BUFFER_CHECK_INDIRECTION (b);
>>
>> so I wonder what could have gone wrong here.  Maybe some pdumper snafu?
>>
>> Does it start with emacs -Q? 
>
> Nope.  It fails.
>
>> Does it start with --enable-checking=no?
>
> Yes.
>
>> Does it start without the changeset applied?
>
> Yes.

Also verified that using with the previous changeset with
--enable-checking=yes still works.

-- 
Michael Welsh Duggan
([email-masked])